#!/usr/bin/env bash 

###################################################################
#Author         : Joaquín M.C. Belart
#Email          : joaquin@lmi.is
###################################################################

source ~/shgen/lasfunciones.sh

lidar_dir=/u01/jmcb/0stacks/hofs_2008_2020/dems/lidar_sub4m

stackdir=/u01/jmcb/0stacks/hofs_2003_2020/netcdf/
hofstack=/u01/jmcb/0stacks/hofs_2003_2020/netcdf/hof_gpr_50m_t30d.nc


#/u01/jmcb/0stacks/hofs_2008_2020/dems/lidar_sub4m/LI_20080903_zmae_sub4m.tif  /u01/jmcb/0stacks/hofs_2008_2020/dems/lidar_sub4m/LI_20131013_zmae_sub4m.tif
#/u01/jmcb/0stacks/hofs_2008_2020/dems/lidar_sub4m/LI_20100718_zmae_sub4m.tif  /u01/jmcb/0stacks/hofs_2008_2020/dems/lidar_sub4m/stats.txt

#cdo -seldate,2008-09-01 $hofstack $stackdir/hofs_20080901.nc
#gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20080901.nc:z $stackdir/hofs_20080901.tif
#shiftXY $stackdir/hofs_20080901.tif 25 -25 
#dem_align_figs.py -res max $lidar_dir/LI_2008* $stackdir/hofs_20080901_sft*.tif -outdir /u01/jmcb/0stacks/shscripts/validation/

#cdo -seldate,2010-08-02 $hofstack $stackdir/hofs_20100801.nc
#gdal_translate -co compress=lzw -co predictor=2 -of GTiff NETCDF:$stackdir/hofs_20100801.nc:z $stackdir/hofs_20100801.tif
#shiftXY $stackdir/hofs_20100801.tif 25 -25 
#dem_align_figs.py -res max $lidar_dir/LI_2010* $stackdir/hofs_20100801_sft*.tif -outdir /u01/jmcb/0stacks/shscripts/validation/

shiftXY $stackdir/hofs_20131001.tif 25 -25 
dem_align_figs.py -res max $lidar_dir/LI_2013* $stackdir/hofs_20131001_sft*.tif -outdir /u01/jmcb/0stacks/shscripts/validation/
